## thunderbird 17.0.2+build1

=== mozilla/security/nss/cmd/pk11mode/Makefile ===
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is the Netscape security libraries.
#
# The Initial Developer of the Original Code is
# Netscape Communications Corporation.
# Portions created by the Initial Developer are Copyright (C) 1994-2000
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#
# Alternatively, the contents of this file may be used under the terms of
# either the GNU General Public License Version 2 or later (the "GPL"), or
# the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****

#######################################################################
# (1) Include initial platform-independent assignments (MANDATORY).   #
#######################################################################

include manifest.mn

#######################################################################
# (2) Include "global" configuration information. (OPTIONAL)          #
#######################################################################

include $(CORE_DEPTH)/coreconf/config.mk

#######################################################################
# (3) Include "component" configuration information. (OPTIONAL)       #
#######################################################################



#######################################################################
# (4) Include "local" platform-dependent assignments (OPTIONAL).      #
#######################################################################

include ../platlibs.mk

ifeq ($(OS_ARCH), WINNT)

EXTRA_LIBS += \
	$(NSPR_LIB_DIR)/$(NSPR31_LIB_PREFIX)plc4.$(LIB_SUFFIX) \
	$(NSPR_LIB_DIR)/$(NSPR31_LIB_PREFIX)plds4.$(LIB_SUFFIX) \
	$(NSPR_LIB_DIR)/$(NSPR31_LIB_PREFIX)nspr4.$(LIB_SUFFIX) \
	$(NULL)

else

EXTRA_SHARED_LIBS += \
	-L$(NSPR_LIB_DIR) \
	-lplc4 \
	-lplds4 \
	-lnspr4 \
	$(NULL)

endif

#######################################################################
# (5) Execute "global" rules. (OPTIONAL)                              #
#######################################################################

include $(CORE_DEPTH)/coreconf/rules.mk

#######################################################################
# (6) Execute "component" rules. (OPTIONAL)                           #
#######################################################################



#######################################################################
# (7) Execute "local" rules. (OPTIONAL).                              #
#######################################################################

include ../platrules.mk

=== mozilla/security/nss/lib/freebl/Makefile ===
#! gmake
#
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is the Netscape security libraries.
#
# The Initial Developer of the Original Code is
# Netscape Communications Corporation.
# Portions created by the Initial Developer are Copyright (C) 1994-2000
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#   Stephen Fung <fungstep@hotmail.com> and
#   Douglas Stebila <douglas@stebila.ca>, Sun Microsystems Laboratories
#
# Alternatively, the contents of this file may be used under the terms of
# either the GNU General Public License Version 2 or later (the "GPL"), or
# the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****

#######################################################################
# (1) Include initial platform-independent assignments (MANDATORY).   #
#######################################################################

include manifest.mn

#######################################################################
# (2) Include "global" configuration information. (OPTIONAL)          #
#######################################################################

include $(CORE_DEPTH)/coreconf/config.mk

#######################################################################
# (3) Include "component" configuration information. (OPTIONAL)       #
#######################################################################



#######################################################################
# (4) Include "local" platform-dependent assignments (OPTIONAL).      #
#######################################################################

include config.mk

# default for all platforms
# unset this on those that have multiple freebl libraries
FREEBL_BUILD_SINGLE_SHLIB = 1

ifdef USE_64
	DEFINES += -DNSS_USE_64
endif

ifdef USE_ABI32_FPU
	DEFINES += -DNSS_USE_ABI32_FPU
endif

ifeq ($(FREEBL_NO_DEPEND),1)
	DEFINES += -DFREEBL_NO_DEPEND
	STUBS_SRCS = stubs.c
endif

ifeq ($(FREEBL_LOWHASH),1)
	LOWHASH_SRCS = nsslowhash.c
	LOWHASH_EXPORTS = nsslowhash.h
	MAPFILE_SOURCE = freebl_hash.def
else
	MAPFILE_SOURCE = freebl.def
endif

# FREEBL_USE_PRELINK
#
# Most modern version of Linux support a speed optimization scheme where an
# application called prelink modifies programs and shared libraries to quickly
# load if they fit into an already designed address space. In short, prelink
# scans the list of programs and libraries on your system, assigns them a
# predefined space in the the address space, then provides the fixups to the
# library.
#
# The modification of the shared library is correctly detected by the freebl
# FIPS checksum scheme where we check a signed hash of the library against the
# library itself.
#
# The prelink command itself can reverse the process of modification and output
# the prestine shared library as it was before prelink made it's changes.
# This option tells Freebl could use prelink to output the original copy of
# the shared library before prelink modified it.
#
# FREEBL_PRELINK_COMMAND
#
# This is an optional environment variable which can override the default
# prelink command. It could be used on systems that did something similiar to 
# prelink but used a different command and syntax. The only requirement is the 
# program must take the library as the last argument, the program must output 
# the original library to standard out, and the program does not need to take 
# any quoted or imbedded spaces in its arguments (except the path to the 
# library itself, which can have imbedded spaces or special characters).
#
ifdef FREEBL_USE_PRELINK
	DEFINES += -DFREEBL_USE_PRELINK
ifdef LINUX
	DEFINES += -D__GNU_SOURCE=1
endif
endif
ifdef FREEBL_PRELINK_COMMAND
	DEFINES +=-DFREEBL_PRELINK_COMMAND=\"$(FREEBL_PRELINK_COMMAND)\"
endif
# NSS_X86 means the target is a 32-bits x86 CPU architecture
# NSS_X64 means the target is a 64-bits x64 CPU architecture
# NSS_X86_OR_X64 means the target is either x86 or x64
ifeq (,$(filter-out i386 x386 x86 x86_64,$(CPU_ARCH)))
        DEFINES += -DNSS_X86_OR_X64
ifdef USE_64
        DEFINES += -DNSS_X64
else
        DEFINES += -DNSS_X86
endif
endif

ifeq ($(OS_TARGET),OSF1)
    DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_NO_MP_WORD
    MPI_SRCS += mpvalpha.c
endif

ifeq (OS2,$(OS_TARGET))
    ASFILES  = mpi_x86_os2.s
    DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE 
    DEFINES += -DMP_ASSEMBLY_DIV_2DX1D
    DEFINES += -DMP_USE_UINT_DIGIT -DMP_NO_MP_WORD
    DEFINES += -DMP_CHAR_STORE_SLOW -DMP_IS_LITTLE_ENDIAN
endif

ifeq (,$(filter-out WINNT WIN95,$(OS_TARGET)))  #omits WINCE
ifndef USE_64
# 32-bit Windows
ifdef NS_USE_GCC
# Ideally, we want to use assembler
#     ASFILES  = mpi_x86.s
#     DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE \
#                -DMP_ASSEMBLY_DIV_2DX1D
# but we haven't figured out how to make it work, so we are not
# using assembler right now.
    ASFILES  =
    DEFINES += -DMP_NO_MP_WORD -DMP_USE_UINT_DIGIT
else
# MSVC
    MPI_SRCS += mpi_x86_asm.c
    DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE 
    DEFINES += -DMP_ASSEMBLY_DIV_2DX1D -DMP_USE_UINT_DIGIT -DMP_NO_MP_WORD
    ifdef BUILD_OPT
	OPTIMIZER += -Ox  # maximum optimization for freebl
    endif
endif
else
    # -DMP_NO_MP_WORD
    ifdef BUILD_OPT
	OPTIMIZER += -Ox  # maximum optimization for freebl
    endif
    ASFILES  = arcfour-amd64-masm.asm mpi_amd64_masm.asm mp_comba_amd64_masm.asm
    DEFINES += -DNSS_BEVAND_ARCFOUR -DMPI_AMD64 -DMP_ASSEMBLY_MULTIPLY
    DEFINES += -DNSS_USE_COMBA
    DEFINES += -DMP_CHAR_STORE_SLOW -DMP_IS_LITTLE_ENDIAN
    MPI_SRCS += mpi_amd64.c
endif
endif

ifeq ($(OS_TARGET),WINCE)
    DEFINES += -DMP_ARGCHK=0	# no assert in WinCE
    DEFINES += -DSHA_NO_LONG_LONG # avoid 64-bit arithmetic in SHA512
endif

ifeq ($(OS_TARGET),IRIX)
ifeq ($(USE_N32),1)
    ASFILES  = mpi_mips.s
    ifeq ($(NS_USE_GCC),1)
	ASFLAGS = -Wp,-P -Wp,-traditional -O -mips3
    else
	ASFLAGS = -O -OPT:Olimit=4000 -dollar -fullwarn -xansi -n32 -mips3 
    endif
    DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE
    DEFINES += -DMP_USE_UINT_DIGIT
endif
endif

ifeq ($(OS_TARGET),Linux)
ifeq ($(CPU_ARCH),x86_64)
    ASFILES  = arcfour-amd64-gas.s mpi_amd64_gas.s
    ASFLAGS += -march=opteron -m64 -fPIC -Wa,--noexecstack
    DEFINES += -DNSS_BEVAND_ARCFOUR -DMPI_AMD64 -DMP_ASSEMBLY_MULTIPLY
    DEFINES += -DNSS_USE_COMBA
    DEFINES += -DMP_CHAR_STORE_SLOW -DMP_IS_LITTLE_ENDIAN
#   DEFINES += -DMPI_AMD64_ADD
    # comment the next two lines to turn off intel HW accelleration
    DEFINES += -DUSE_HW_AES
    ASFILES += intel-aes.s
    MPI_SRCS += mpi_amd64.c mp_comba.c
endif
ifeq ($(CPU_ARCH),x86)
    ASFILES  = mpi_x86.s
    DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE 
    DEFINES += -DMP_ASSEMBLY_DIV_2DX1D
    DEFINES += -DMP_CHAR_STORE_SLOW -DMP_IS_LITTLE_ENDIAN
    # The floating point ECC code doesn't work on Linux x86 (bug 311432).
    #ECL_USE_FP = 1
endif
ifeq ($(CPU_ARCH),arm)
    DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE 
    DEFINES += -DMP_USE_UINT_DIGIT
    DEFINES += -DSHA_NO_LONG_LONG # avoid 64-bit arithmetic in SHA512
    MPI_SRCS += mpi_arm.c
endif
endif # Linux

ifeq ($(OS_TARGET),AIX)
    DEFINES += -DMP_USE_UINT_DIGIT
    ifndef USE_64
	DEFINES += -DMP_NO_DIV_WORD -DMP_NO_ADD_WORD -DMP_NO_SUB_WORD
    endif
endif # AIX

ifeq ($(OS_TARGET), HP-UX)
ifneq ($(OS_TEST), ia64)
# PA-RISC
ASFILES += ret_cr16.s
ifndef USE_64
    FREEBL_BUILD_SINGLE_SHLIB = 
    HAVE_ABI32_INT32 = 1
    HAVE_ABI32_FPU = 1
endif
ifdef FREEBL_CHILD_BUILD
ifdef USE_ABI32_INT32
# build for DA1.1 (HP PA 1.1) 32-bit ABI build with 32-bit arithmetic
    DEFINES  += -DMP_USE_UINT_DIGIT -DMP_NO_MP_WORD
    DEFINES += -DSHA_NO_LONG_LONG # avoid 64-bit arithmetic in SHA512
else
ifdef USE_64
# this builds for DA2.0W (HP PA 2.0 Wide), the LP64 ABI, using 64-bit digits 
    MPI_SRCS += mpi_hp.c 
    ASFILES  += hpma512.s hppa20.s 
    DEFINES  += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE
else
# this builds for DA2.0 (HP PA 2.0 Narrow) ABI32_FPU model 
# (the 32-bit ABI with 64-bit registers) using 64-bit digits
    MPI_SRCS += mpi_hp.c 
    ASFILES  += hpma512.s hppa20.s 
    DEFINES  += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE
ifndef NS_USE_GCC
    ARCHFLAG = -Aa +e +DA2.0 +DS2.0
endif
endif
endif
endif
endif
endif

# The blapi functions are defined not only in the freebl shared
# libraries but also in the shared libraries linked with loader.c
# (libsoftokn3.so and libssl3.so).  We need to use GNU ld's
# -Bsymbolic option or the equivalent option for other linkers
# to bind the blapi function references in FREEBLVector vector
# (ldvector.c) to the blapi functions defined in the freebl
# shared libraries.
ifeq (,$(filter-out BSD_OS FreeBSD Linux NetBSD OpenBSD, $(OS_TARGET)))
    MKSHLIB += -Wl,-Bsymbolic
endif

ifeq ($(OS_TARGET),SunOS)

ifdef NS_USE_GCC
    ifdef GCC_USE_GNU_LD
	MKSHLIB += -Wl,-Bsymbolic,-z,now,-z,text
    else
	MKSHLIB += -Wl,-B,symbolic,-z,now,-z,text
    endif # GCC_USE_GNU_LD
else
    MKSHLIB += -B symbolic -z now -z text
endif # NS_USE_GCC

# Sun's WorkShop defines v8, v8plus and v9 architectures.
# gcc on Solaris defines v8 and v9 "cpus".  
# gcc's v9 is equivalent to Workshop's v8plus.
# gcc's -m64 is equivalent to Workshop's v9
# We always use Sun's assembler, which uses Sun's naming convention.
ifeq ($(CPU_ARCH),sparc)
    FREEBL_BUILD_SINGLE_SHLIB=
    ifdef USE_64
        HAVE_ABI64_INT = 1
        HAVE_ABI64_FPU = 1
    else
        HAVE_ABI32_INT32 = 1
        HAVE_ABI32_FPU = 1
        HAVE_ABI32_INT64 = 1
    endif
    SYSV_SPARC = 1
    SOLARIS_AS = /usr/ccs/bin/as
    #### set arch, asm, c flags
    ifdef NS_USE_GCC
	ifdef USE_ABI32_INT32
	    # default ARCHFLAG=-mcpu=v8 set by coreconf/sunOS5.mk
	endif
	ifdef USE_ABI32_INT64
	    ARCHFLAG=-mcpu=v9 -Wa,-xarch=v8plus
	    SOLARIS_AS_FLAGS = -xarch=v8plus -K PIC
	endif
	ifdef USE_ABI32_FPU
	    ARCHFLAG=-mcpu=v9 -Wa,-xarch=v8plusa
	    SOLARIS_AS_FLAGS = -xarch=v8plusa -K PIC
	endif # USE_ABI32_FPU
	ifdef USE_ABI64_INT
	    # this builds for Sparc v9a pure 64-bit architecture
	    ARCHFLAG += -mcpu=v9 -Wa,-xarch=v9
	    SOLARIS_AS_FLAGS = -xarch=v9 -K PIC
	endif
	ifdef USE_ABI64_FPU
	    # this builds for Sparc v9a pure 64-bit architecture
	    # It uses floating point, and 32-bit word size
	    ARCHFLAG += -mcpu=v9 -Wa,-xarch=v9a
	    SOLARIS_AS_FLAGS = -xarch=v9a -K PIC
	endif
    else # NS_USE_GCC
	# FPU_TARGET_OPTIMIZER specifies the target processor and cache
	# properties of the ABI32_FPU and ABI64_FPU architectures for use
	# by the optimizer.
	ifeq (,$(findstring Sun WorkShop 6,$(shell $(CC) -V 2>&1)))
	    # if the compiler is not Forte 6
	    FPU_TARGET_OPTIMIZER = -xcache=64/32/4:1024/64/4 -xchip=ultra3
	else
	    # Forte 6 C compiler generates incorrect code for rijndael.c
	    # if -xchip=ultra3 is used (Bugzilla bug 333925).  So we revert

=== debian/changelog ===
thunderbird (17.0.2+build1-0ubuntu0.12.04.1) precise-security; urgency=low

  * New upstream stable release (THUNDERBIRD_17_0_2_BUILD1)
    - see LP: #1096456 for USN information

 -- Chris Coulson <chris.coulson@canonical.com>  Sat, 05 Jan 2013 21:39:15 +0000

thunderbird (17.0+build2-0ubuntu0.12.04.1) precise-security; urgency=low

  * New upstream stable release (THUNDERBIRD_17_0_BUILD2)
    - see LP: #1080212 for USN information

  * Update globalmenu-extension to 3.6.4
    - Fix a build ordering issue causing the install.rdf to be missed
      from the addon xpi
    - Fix crash in uGlobalMenu::InitializePopup
    - Make logging work correctly on debug builds
    - Handle submenu's being reopened without getting a close event
      in between. We don't seem to get a close event when a menuitem
      is activated
  * Update messagingmenu extenstion to 1.3.1
    - Use the nativeHandle attribute on Thunderbird versions that support
      this, and avoid creating a window just to set the event timestamp
    - Ignore case when comparing email addresses (thanks Tom Jaeger)
    - Stop using nsIMsgMessageService.streamHeaders, as this doesn't work
      reliably all of the time (and has been triggering a crash too)
    - Properly disconnect from gobject signals. Even though our signal
      handlers are implicitly disconnected when we drop the last reference
      to objects that we own, we actually leak the ctypes function object
      if we don't explicitly disconnect, due to the way that they are
      implemented
  * Build with --disable-webrtc on all architectures except for i386 and amd64
    - update debian/config/mozconfig.in
  * Update eds extension to 0.5
    - Lots of refactoring
    - Make contact list commit async
    - Fix LP: #919612 - cannot write contact, with "Could not save nsIAbEDSCard 
      property: SecondEmail" errors in the error console
    - Make setting dates work as expected
    - When selecting a generic image, clear the actual image property rather
      than saving the generic image pixel data to EDS
    - Ensure that phone numbers are displayed in the preview pane for EDS
      contacts
    - Use the upstream chat tab for managing IM handles. This requires
      Thunderbird 15
    - Ensure that chat handles appear in the contact preview pane
    - Make the preferred mail format option work (was always disabled in
      the edit UI)
    - Support storing Google Talk ID's in eds
    - Implement nsAbEDSCard.deleteProperty
    - For number fields, handle the case where the passed in value converts
      to NaN
    - Implement nsAbEDSCard.copy and make nsAbEDSDirectory.addCard use this
    - Ensure we dispatch a notification when a directory name changes
    - Implement nsAbEDSDirectory.modifyCard and hide nsAbEDSCard.commit
    - Make contact list creation work properly
    - Display the year field in the contact editor for the anniversary date.
      This is supported fine by eds
    - Make copying contacts between EDS and non-EDS addressbooks work more
      reliably, rather than dropping fields such as PrimaryEmail
    - When copying a Thunderbird contact to an EDS folder, add the Thunderbird
      custom fields as "X-THUNDERBIRD-CUSTOM-*" vcard properties, rather than
      adding them to the note field
    - Don't unload libraries on shutdown. May fix a common shutdown crash
  * Fix quoting issues when parsing preferences
    - update debian/apport/source_thunderbird.py.in
  * Refresh patches
    - update debian/patches/unity-globalmenu-build-support.patch
    - update debian/patches/theme-refresh-messenger-toolbar-icons.patch
    - update debian/patches/fix-for-bmo795395.patch
  * Don't ship empty ".mkdir.done" files in our packages. This should probably
    be fixed in the upstream build system, but we'll do a temporary band-aid
    fix in the packaging for now just so we can get some builds
    - update debian/build/mozbuild.mk

 -- Chris Coulson <chris.coulson@canonical.com>  Sat, 17 Nov 2012 23:41:52 +0000

thunderbird (16.0.2+build1-0ubuntu0.12.04.1) precise-security; urgency=low

  * New upstream stable release (THUNDERBIRD_16_0_2_BUILD1)
    - see LP: #1072362 for USN information

  * Only update the message size in the db when downloading the whole message
  * Don't call DiscardNewMessage with a closed stream
  * Fixes LP: #1068921

 -- Chris Coulson <chris.coulson@canonical.com>  Sun, 28 Oct 2012 14:29:01 +0000

thunderbird (16.0.1+build1-0ubuntu0.12.04.1) precise-security; urgency=low

  * New upstream stable release (THUNDERBIRD_16_0_1_BUILD1)
    - see LP: #1065292 for USN information

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 10 Oct 2012 23:44:13 +0100

thunderbird (16.0+build1-0ubuntu0.12.04.1) precise-security; urgency=low

  * New upstream stable release (THUNDERBIRD_16_0_BUILD1)
    - see LP: #1062587 for USN information

  * Update globalmenu-extension to 3.5.4
    - Fix LP: #1045196 - "Messages->Move To" menu is empty
    - Fix LP: #1051152 - Crash in nsIContent::SetAttr
    - Improve handling of radio items, and work correctly for radio items
      without a name
    - Stop causing nested DOM mutations. There is a big warning about doing
      this in nsIMutationObserver.h
    - Delay processing of DOM mutations during code sections when we are
      dispatching events. This should prevent a recurrence of
      reentrancy-triggered crashes such as LP: #1025011, LP: #1035305 and
      LP: #1051152, which have been exposed by updates of third-party addons
      recently and caused because our view of the menu changes during
      event delivery
    - Fix crash in uGlobalMenuDocListener::HandleMutations
  * Fix for bmo: #795395
    - add debian/patches/fix-for-bmo795395.patch
    - update debian/patches/series
  * Drop compare-locales from the packaging, and just check out the current
    version when we create the tarball
    - update debian/build/mozbuild.mk
    - update debian/build/create-tarball.py


=== debian/control ===
Source: thunderbird
Section: web
Priority: optional
Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
Vcs-Bzr: https://code.launchpad.net/~mozillateam/thunderbird/thunderbird.precise
Build-Depends: cdbs (>= 0.4.27),
	debhelper (>= 7),
	m4,
	autotools-dev,
	autoconf2.13,
	quilt,
	zip,
	libx11-dev,
	libxt-dev,
	libxext-dev,
	libgtk2.0-dev (>= 2.14),
	libglib2.0-dev (>= 2.18),
	libpango1.0-dev (>= 1.14.0),
	libfontconfig1-dev,
	libfreetype6-dev (>= 2.0.1),
	libgconf2-dev (>= 1.2.1),
	libgnomeui-dev (>= 2.2.0),
	libstartup-notification0-dev,
	libasound2-dev,
	libcurl4-openssl-dev,
	libdbus-glib-1-dev (>= 0.60),
	lsb-release,
	libiw-dev,
	mesa-common-dev,
	libnotify-dev,
	libxrender-dev,
	yasm-1 (>= 1.1) | yasm (>= 1.1),
	imagemagick,
	libdbusmenu-gtk-dev,
	docbook-to-man,
	libkrb5-dev,
	unzip
Standards-Version: 3.9.1

Package: thunderbird
Architecture: any
Depends: ${shlibs:Depends},
	${misc:Depends}
Recommends: myspell-en-us | hunspell-dictionary | myspell-dictionary,
	${support:Recommends},
	libcanberra0
Suggests: ${support:Suggests},
	latex-xft-fonts,
	libthai0
Breaks: ${app:Breaks}
Replaces: ${app:Replaces}
Conflicts: ${app:Conflicts}
Provides: mail-reader
Section: mail
Description: Email, RSS and newsgroup client with integrated spam filter
 Thunderbird is a full-featured email, RSS and newsgroup client that makes
 emailing safer, faster and easier than ever before. It supports different mail
 accounts (POP, IMAP, Gmail), has a simple mail account setup wizard, one-
 click address book, tabbed interface, an integrated learning spam filter,
 advanced search and indexing capabilities, and offers easy organization
 of mails with tagging and virtual folders. It also features unrivalled
 extensibility.

Package: thunderbird-gnome-support
Architecture: any
Section: gnome
Depends: ${shlibs:Depends},
	thunderbird (= ${binary:Version}),
	${misc:Depends},
	${unity:Depends},
	${gconf:Depends}
Description: Email, RSS and newsgroup client - GNOME support
 Thunderbird is a full-featured email, RSS and newsgroup client that makes
 emailing safer, faster and easier than ever before. It supports different mail
 accounts (POP, IMAP, Gmail), has a simple mail account setup wizard, one-
 click address book, tabbed interface, an integrated learning spam filter,
 advanced search and indexing capabilities, and offers easy organization
 of mails with tagging and virtual folders. It also features unrivalled
 extensibility.
 .
 This package depends on the GNOME libraries which allow Thunderbird to take
 advantage of technologies such as GConf, GIO and libnotify

Package: thunderbird-dev
Architecture: any
Section: devel
Depends: thunderbird (= ${binary:Version}),
	${misc:Depends},
	${shlibs:Depends}
Description: Email, RSS and newsgroup client - development files
 Thunderbird is a full-featured email, RSS and newsgroup client that makes
 emailing safer, faster and easier than ever before. It supports different mail
 accounts (POP, IMAP, Gmail), has a simple mail account setup wizard, one-
 click address book, tabbed interface, an integrated learning spam filter,
 advanced search and indexing capabilities, and offers easy organization
 of mails with tagging and virtual folders. It also features unrivalled
 extensibility.
 .
 This package contains the headers and SDK for building plugins and extensions
 with Thunderbird

Package: thunderbird-dbg
Architecture: any
Section: debug
Priority: extra
Depends: thunderbird (= ${binary:Version}),
	${shlibs:Depends},
	${misc:Depends}
Description: Email, RSS and newsgroup client - debug symbols
 Thunderbird is a full-featured email, RSS and newsgroup client that makes
 emailing safer, faster and easier than ever before. It supports different mail
 accounts (POP, IMAP, Gmail), has a simple mail account setup wizard, one-
 click address book, tabbed interface, an integrated learning spam filter,
 advanced search and indexing capabilities, and offers easy organization
 of mails with tagging and virtual folders. It also features unrivalled
 extensibility.
 .
 This package contains the debugging symbols for Thunderbird

Package: thunderbird-mozsymbols
Architecture: amd64 i386 armel
Section: debug
Priority: extra
Depends: ${shlibs:Depends},
	${misc:Depends}
Description: Email, RSS and newsgroup client - Breakpad symbols
 Thunderbird is a full-featured email, RSS and newsgroup client that makes
 emailing safer, faster and easier than ever before. It supports different mail
 accounts (POP, IMAP, Gmail), has a simple mail account setup wizard, one-
 click address book, tabbed interface, an integrated learning spam filter,
 advanced search and indexing capabilities, and offers easy organization
 of mails with tagging and virtual folders. It also features unrivalled
 extensibility.
 .
 This package contains the Firefox symbols in a format expected by Mozilla's
 Breakpad. Eventually this package should go away and the symbol upload be
 implemented in soyuz (or other builders that build this package)

Package: thunderbird-globalmenu
Architecture: any
Depends: ${shlibs:Depends},
	${misc:Depends},
	thunderbird (= ${binary:Version})
Description: Unity appmenu integration for Thunderbird
 This package provides an extension which adds support for the Unity
 appmenu to Thunderbird

# Transitional packages below here

Package: thunderbird-gnome-support-dbg
Architecture: any
Depends: thunderbird-gnome-support, thunderbird-dbg, ${misc:Depends}
Description: Email, RSS and newsgroup client - transitional package
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-bn-bd
Architecture: all
Depends: thunderbird-locale-bn, ${misc:Depends}
Description: Transitional Bengali language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-en-gb
Architecture: all
Depends: thunderbird-locale-en, ${misc:Depends}
Description: Transitional English language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-en-us
Architecture: all
Depends: thunderbird-locale-en, ${misc:Depends}
Description: Transitional English language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-es-ar
Architecture: all
Depends: thunderbird-locale-es, ${misc:Depends}
Description: Transitional Spanish language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-es-es
Architecture: all
Depends: thunderbird-locale-es, ${misc:Depends}
Description: Transitional Spanish language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-fy-nl
Architecture: all
Depends: thunderbird-locale-fy, ${misc:Depends}
Description: Transitional Western Frisian language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-ga-ie
Architecture: all
Depends: thunderbird-locale-ga, ${misc:Depends}
Description: Transitional Irish language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-nb-no
Architecture: all
Depends: thunderbird-locale-nb, ${misc:Depends}
Description: Transitional Norwegian language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-nn-no
Architecture: all
Depends: thunderbird-locale-nn, ${misc:Depends}
Description: Transitional Norwegian language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-pa-in
Architecture: all
Depends: thunderbird-locale-pa, ${misc:Depends}
Description: Transitional Punjabi language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-pt-br
Architecture: all
Depends: thunderbird-locale-pt, ${misc:Depends}
Description: Transitional Portugese language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-pt-pt
Architecture: all
Depends: thunderbird-locale-pt, ${misc:Depends}
Description: Transitional Portugese language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-sv-se
Architecture: all
Depends: thunderbird-locale-sv, ${misc:Depends}
Description: Transitional Swedish language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-ta-lk
Architecture: all
Depends: thunderbird-locale-ta, ${misc:Depends}
Description: Transitional Tamil language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-zh-cn
Architecture: all
Depends: thunderbird-locale-zh-hans, ${misc:Depends}
Description: Transitional Simplified Chinese language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-zh-tw
Architecture: all
Depends: thunderbird-locale-zh-hant, ${misc:Depends}
Description: Transitional Traditional Chinese language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

# Language packs below here

Package: thunderbird-locale-af
Architecture: any
Depends: ${misc:Depends}
Conflicts: ${lp:Conflicts}
Provides: ${lp:Provides}
Description: Transitional package for unavailable language
 This language is unavailable for the current version of Thunderbird
 .
 This is an empty transitional package to ensure a clean upgrade
 process. You can safely remove this package after installation.

Package: thunderbird-locale-ar
Architecture: any
Depends: thunderbird (>= ${source:Version}), thunderbird (<< ${source:Version}.1~),
	${misc:Depends}
Conflicts: ${lp:Conflicts}
Provides: ${lp:Provides}
Description: Arabic language pack for Thunderbird
 This package contains Arabic translations and search plugins
 for Thunderbird

Package: thunderbird-locale-ast
Architecture: any
Depends: thunderbird (>= ${source:Version}), thunderbird (<< ${source:Version}.1~),
	${misc:Depends}
Conflicts: ${lp:Conflicts}
Provides: ${lp:Provides}
Description: Asturian language pack for Thunderbird
 This package contains Asturian translations and search plugins
 for Thunderbird

Package: thunderbird-locale-be
Architecture: any
Depends: thunderbird (>= ${source:Version}), thunderbird (<< ${source:Version}.1~),
	${misc:Depends}
Conflicts: ${lp:Conflicts}
Provides: ${lp:Provides}
Description: Belarusian language pack for Thunderbird
 This package contains Belarusian translations and search plugins
 for Thunderbird

Package: thunderbird-locale-bg
Architecture: any
Depends: thunderbird (>= ${source:Version}), thunderbird (<< ${source:Version}.1~),
	${misc:Depends}
Conflicts: ${lp:Conflicts}
Provides: ${lp:Provides}
Description: Bulgarian language pack for Thunderbird
 This package contains Bulgarian translations and search plugins
 for Thunderbird

Package: thunderbird-locale-bn
Architecture: any
Depends: thunderbird (>= ${source:Version}), thunderbird (<< ${source:Version}.1~),
	${misc:Depends}
Conflicts: ${lp:Conflicts}
Provides: ${lp:Provides}
Description: Bengali language pack for Thunderbird
 This package contains Bengali translations and search plugins
 for Thunderbird

## thunderbird 17.0.5~pointlinux1

=== debian/changelog ===
thunderbird (17.0.5~pointlinux1) stable; urgency=low

  * 17.0.5

 -- Peter Ryzhenkov <peter.ryzhenkov@gmail.com>  Thu, 04 Apr 2013 07:43:20 +0400

thunderbird (17.0.3~pointlinux1) stable; urgency=low

  * 17.0.3

 -- Peter Ryzhenkov <peter.ryzhenkov@gmail.com>  Wed, 20 Mar 2013 12:00:34 +0400

thunderbird (17.0.2~pointlinux2) stable; urgency=low

  * Mozilla Bug #807848 fixed.

 -- Peter Ryzhenkov <peter.ryzhenkov@gmail.com>  Tue, 12 Feb 2013 08:36:20 +0400

thunderbird (17.0.2~pointlinux1) stable; urgency=low

  * 17.0.2 build.

 -- Peter Ryzhenkov <peter.ryzhenkov@gmail.com>  Wed, 09 Jan 2013 08:27:23 +0400

thunderbird (17.0~pointlinux3) stable; urgency=low

  * gconf settings imported only if gconf exists

 -- Peter Ryzhenkov <peter.ryzhenkov@gmail.com>  Sun, 23 Dec 2012 15:06:51 +0400

thunderbird (17.0~pointlinux2) stable; urgency=low

  * firefox installs to /usr/lib/thunderbird
  * gconf's '/desktop/gnome/url-handlers/mailto/command' changed to thunderbird

 -- Peter Ryzhenkov <peter.ryzhenkov@gmail.com>  Sat, 22 Dec 2012 20:40:46 +0400

thunderbird (17.0~pointlinux1) stable; urgency=low

  * Initial Release.
  * Released for Point Linux.

 -- Peter Ryzhenkov <peter.ryzhenkov@gmail.com>  Mon, 10 Dec 2012 10:38:22 +0400

=== debian/control ===
Source: thunderbird
Section: mail
Priority: optional
Maintainer: Peter Ryzhenkov <peter.ryzhenkov@gmail.com>
Build-Depends: debhelper (>= 5), wget, python
Standards-Version: 3.7.2
Homepage: http://www.pointlinux.org/

Package: thunderbird
Architecture: any
Provides: mail-reader
Description: Email, RSS and newsgroup client with integrated spam filter
 Thunderbird is a full-featured email, RSS and newsgroup client that makes emailing safer, faster and easier than ever before. It supports different mail accounts (POP, IMAP, Gmail), has a simple mail account setup wizard, one- click address book, tabbed interface, an integrated learning spam filter, advanced search and indexing capabilities, and offers easy organization of mails with tagging and virtual folders. It also features unrivalled extensibility. 

Package: thunderbird-locale-fr
Architecture: any
Depends: thunderbird (= 17.0.5~pointlinux1)
Description: French language packs for Thunderbird
 French language packs for the Mozilla Thunderbird Email Client.

Package: thunderbird-locale-ar
Architecture: any
Depends: thunderbird (= 17.0.5~pointlinux1)
Description: Arabic language packs for Thunderbird
 Arabic language packs for the Mozilla Thunderbird Email Client.

Package: thunderbird-locale-be
Architecture: any
Depends: thunderbird (= 17.0.5~pointlinux1)
Description: Belarusian language packs for Thunderbird
 Belarusian language packs for the Mozilla Thunderbird Email Client.

Package: thunderbird-locale-bg
Architecture: any
Depends: thunderbird (= 17.0.5~pointlinux1)
Description: Bulgarian language packs for Thunderbird
 Bulgarian language packs for the Mozilla Thunderbird Email Client.

Package: thunderbird-locale-eu
Architecture: any
Depends: thunderbird (= 17.0.5~pointlinux1)
Description: Basque language packs for Thunderbird
 Basque language packs for the Mozilla Thunderbird Email Client.

Package: thunderbird-locale-bn-bd
Architecture: any
Depends: thunderbird (= 17.0.5~pointlinux1)
Description: Bengali-Bengladesh language packs for Thunderbird
 Bengali-Bengladesh language packs for the Mozilla Thunderbird Email Client.

Package: thunderbird-locale-sq
Architecture: any
Depends: thunderbird (= 17.0.5~pointlinux1)
Description: Albanian language packs for Thunderbird
 Albanian language packs for the Mozilla Thunderbird Email Client.

Package: thunderbird-locale-ca
Architecture: any
Depends: thunderbird (= 17.0.5~pointlinux1)
Description: Catalan language packs for Thunderbird
 Catalan language packs for the Mozilla Thunderbird Email Client.

Package: thunderbird-locale-cs
Architecture: any
Depends: thunderbird (= 17.0.5~pointlinux1)
Description: Czech language packs for Thunderbird
 Czech language packs for the Mozilla Thunderbird Email Client.

Package: thunderbird-locale-da
Architecture: any
Depends: thunderbird (= 17.0.5~pointlinux1)
Description: Danish language packs for Thunderbird
 Danish language packs for the Mozilla Thunderbird Email Client.

Package: thunderbird-locale-de
Architecture: any
Depends: thunderbird (= 17.0.5~pointlinux1)
Description: German language packs for Thunderbird
 German language packs for the Mozilla Thunderbird Email Client.

Package: thunderbird-locale-el
Architecture: any
Depends: thunderbird (= 17.0.5~pointlinux1)
Description: Greek language packs for Thunderbird
 Greek language packs for the Mozilla Thunderbird Email Client.

Package: thunderbird-locale-en-gb
Architecture: any
Depends: thunderbird (= 17.0.5~pointlinux1)
Description: British language packs for Thunderbird
 British language packs for the Mozilla Thunderbird Email Client.

Package: thunderbird-locale-et
Architecture: any
Depends: thunderbird (= 17.0.5~pointlinux1)
Description: Estonian language packs for Thunderbird
 Estonian language packs for the Mozilla Thunderbird Email Client.

Package: thunderbird-locale-fi
Architecture: any
Depends: thunderbird (= 17.0.5~pointlinux1)
Description: Finnish language packs for Thunderbird
 Finnish language packs for the Mozilla Thunderbird Email Client.

Package: thunderbird-locale-fy
Architecture: any
Depends: thunderbird (= 17.0.5~pointlinux1)
Description: Frysian language packs for Thunderbird
 Frysian language packs for the Mozilla Thunderbird Email Client.

Package: thunderbird-locale-gl
Architecture: any
Depends: thunderbird (= 17.0.5~pointlinux1)
Description: Galician language packs for Thunderbird
 Galician language packs for the Mozilla Thunderbird Email Client.

Package: thunderbird-locale-he
Architecture: any
Depends: thunderbird (= 17.0.5~pointlinux1)
Description: Hebrew language packs for Thunderbird
 Hebrew language packs for the Mozilla Thunderbird Email Client.

Package: thunderbird-locale-hr
Architecture: any
Depends: thunderbird (= 17.0.5~pointlinux1)
Description: Croatian language packs for Thunderbird
 Croatian language packs for the Mozilla Thunderbird Email Client.

Package: thunderbird-locale-hu
Architecture: any
Depends: thunderbird (= 17.0.5~pointlinux1)
Description: Hungarian language packs for Thunderbird
 Hungarian language packs for the Mozilla Thunderbird Email Client.

Package: thunderbird-locale-id
Architecture: any
Depends: thunderbird (= 17.0.5~pointlinux1)
Description: Indonesian language packs for Thunderbird
 Indonesian language packs for the Mozilla Thunderbird Email Client.

Package: thunderbird-locale-is
Architecture: any
Depends: thunderbird (= 17.0.5~pointlinux1)
Description: Icelandic language packs for Thunderbird
 Icelandic language packs for the Mozilla Thunderbird Email Client.

Package: thunderbird-locale-it
Architecture: any
Depends: thunderbird (= 17.0.5~pointlinux1)
Description: Italian language packs for Thunderbird
 Italian language packs for the Mozilla Thunderbird Email Client.

Package: thunderbird-locale-ja
Architecture: any
Depends: thunderbird (= 17.0.5~pointlinux1)
Description: Japanese language packs for Thunderbird
 Japanese language packs for the Mozilla Thunderbird Email Client.

Package: thunderbird-locale-ko
Architecture: any
Depends: thunderbird (= 17.0.5~pointlinux1)
Description: Korean language packs for Thunderbird
 Korean language packs for the Mozilla Thunderbird Email Client.

Package: thunderbird-locale-lt
Architecture: any
Depends: thunderbird (= 17.0.5~pointlinux1)
Description: Lithuanian language packs for Thunderbird
 Lithuanian language packs for the Mozilla Thunderbird Email Client.

Package: thunderbird-locale-nl
Architecture: any
Depends: thunderbird (= 17.0.5~pointlinux1)
Description: Dutch language packs for Thunderbird
 Dutch language packs for the Mozilla Thunderbird Email Client.

Package: thunderbird-locale-zh
Architecture: any
Depends: thunderbird (= 17.0.5~pointlinux1)
Description: Chinese language packs for Thunderbird
 Chinese language packs for the Mozilla Thunderbird Email Client.

Package: thunderbird-locale-es
Architecture: any
Depends: thunderbird (= 17.0.5~pointlinux1)
Description: Spanish language packs for Thunderbird
 Spanish language packs for the Mozilla Thunderbird Email Client.

Package: thunderbird-locale-nb
Architecture: any
Depends: thunderbird (= 17.0.5~pointlinux1)
Description: Bokmal language packs for Thunderbird
 Bokmal language packs for the Mozilla Thunderbird Email Client.

Package: thunderbird-locale-nn
Architecture: any
Depends: thunderbird (= 17.0.5~pointlinux1)
Description: Nynorsk language packs for Thunderbird
 Nynorsk language packs for the Mozilla Thunderbird Email Client.

Package: thunderbird-locale-pl
Architecture: any
Depends: thunderbird (= 17.0.5~pointlinux1)
Description: Polish language packs for Thunderbird
 Polish language packs for the Mozilla Thunderbird Email Client.

Package: thunderbird-locale-pt-br
Architecture: any
Depends: thunderbird (= 17.0.5~pointlinux1)
Description: Portuguese Brazilian language packs for Thunderbird
 Portuguese Brazilian language packs for the Mozilla Thunderbird Email Client.

Package: thunderbird-locale-pt
Architecture: any
Depends: thunderbird (= 17.0.5~pointlinux1)
Description: Portuguese language packs for Thunderbird
 Portuguese language packs for the Mozilla Thunderbird Email Client.

Package: thunderbird-locale-ro
Architecture: any
Depends: thunderbird (= 17.0.5~pointlinux1)
Description: Romanian language packs for Thunderbird
 Romanian language packs for the Mozilla Thunderbird Email Client.

Package: thunderbird-locale-ru
Architecture: any
Depends: thunderbird (= 17.0.5~pointlinux1)
Description: Russian language packs for Thunderbird
 Russian language packs for the Mozilla Thunderbird Email Client.

Package: thunderbird-locale-sk
Architecture: any
Depends: thunderbird (= 17.0.5~pointlinux1)
Description: Slovak language packs for Thunderbird
 Slovak language packs for the Mozilla Thunderbird Email Client.

Package: thunderbird-locale-sl
Architecture: any
Depends: thunderbird (= 17.0.5~pointlinux1)
Description: Slovenian language packs for Thunderbird
 Slovenian language packs for the Mozilla Thunderbird Email Client.

Package: thunderbird-locale-sr
Architecture: any
Depends: thunderbird (= 17.0.5~pointlinux1)
Description: Serbian language packs for Thunderbird
 Serbian language packs for the Mozilla Thunderbird Email Client.

Package: thunderbird-locale-sv
Architecture: any
Depends: thunderbird (= 17.0.5~pointlinux1)
Description: Swedish language packs for Thunderbird
 Swedish language packs for the Mozilla Thunderbird Email Client.

Package: thunderbird-locale-tr
Architecture: any
Depends: thunderbird (= 17.0.5~pointlinux1)
Description: Turkish language packs for Thunderbird
 Turkish language packs for the Mozilla Thunderbird Email Client.

Package: thunderbird-locale-uk
Architecture: any
Depends: thunderbird (= 17.0.5~pointlinux1)
Description: Ukrainian language packs for Thunderbird
 Ukrainian language packs for the Mozilla Thunderbird Email Client.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

DEB_VERSION=$(shell dpkg-parsechangelog | sed -n 's/^Version: //p')

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean
	rm -rf $(CURDIR)/debian/thunderbird*

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(CURDIR)/download.sh $(DEB_HOST_ARCH) $(CURDIR) $(DEB_VERSION)

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	#dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
